=== debian/changelog ===
spirv-llvm-translator (8.0.0-3) experimental; urgency=medium

  * rules: Rebuild the archive index after stripping.

 -- Timo Aaltonen <tjaalton@debian.org>  Fri, 15 Mar 2019 09:23:42 +0200

spirv-llvm-translator (8.0.0-2) experimental; urgency=medium

  * rules: Build with -fPIC.
  * rules: Strip the library.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 14 Mar 2019 23:53:32 +0200

spirv-llvm-translator (8.0.0-1) experimental; urgency=medium

  * Initial release (Closes: #921422)

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 06 Feb 2019 01:40:18 +0200
