## spirv-llvm-translator 8.0.0+git20190314

=== lib/SPIRV/CMakeLists.txt ===
--- 
+++ 
@@ -49,7 +49,7 @@
 
 target_include_directories(LLVMSPIRVLib
   PRIVATE
-    ${LLVM_INCLUDE_DIR}
+    ${LLVM_INCLUDE_DIRS}
     ${LLVM_SPIRV_INCLUDE_DIRS}
     ${CMAKE_CURRENT_SOURCE_DIR}
     ${CMAKE_CURRENT_SOURCE_DIR}/libSPIRV
