=== debian/changelog ===
spirv-llvm-translator (8.0.0+git20190314-0ubuntu1) disco; urgency=medium

  * Upload to ubuntu.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 28 Mar 2019 09:37:49 +0200

spirv-llvm-translator (8.0.0+git20190314-1) experimental; urgency=medium

  * New upstream snapshot.
  * Build a shared library.
  * Package llvm-spirv.
  * Add patch to support clang block syntax.
  * rules: Drop rpath.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 20 Mar 2019 17:24:46 +0200
