=== lib/SPIRV/CMakeLists.txt ===
--- 
+++ 
@@ -9,7 +9,6 @@
   Mangler/Mangler.cpp
   Mangler/ManglingUtils.cpp
   Mangler/ParameterType.cpp
-  OCL20To12.cpp
   OCL20ToSPIRV.cpp
   OCL21ToSPIRV.cpp
   OCLTypeToSPIRV.cpp
@@ -22,6 +21,8 @@
   SPIRVReader.cpp
   SPIRVRegularizeLLVM.cpp
   SPIRVToLLVMDbgTran.cpp
+  SPIRVToOCL.cpp
+  SPIRVToOCL12.cpp
   SPIRVToOCL20.cpp
   SPIRVUtil.cpp
   SPIRVWriter.cpp
