=== debian/changelog ===
spirv-llvm-translator (8.0.1-0ubuntu1) eoan; urgency=medium

  * release to eoan.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Aug 2019 10:52:34 +0300

spirv-llvm-translator (8.0.1-1) unstable; urgency=medium

  * New upstream release.
  * rules: Set build type as 'Release'.
  * debian/patches: Refreshed.

 -- Timo Aaltonen <tjaalton@debian.org>  Thu, 01 Aug 2019 10:06:44 +0300
