=== debian/control ===
--- 
+++ 
@@ -11,12 +11,39 @@
 Vcs-Browser: https://salsa.debian.org/opencl-team/spirv-llvm-translator
 Vcs-Git: https://salsa.debian.org/opencl-team/spirv-llvm-translator.git
 
+Package: libllvmspirvlib8
+Architecture: any
+Depends:
+ ${shlibs:Depends},
+ ${misc:Depends}
+Description: bi-directional translator for LLVM/SPIRV -- shared library
+ SPIRV-LLVM-translator is a LLVM/SPIRV bi-directional translator. This
+ package includes a library and a tool for translation between LLVM IR
+ and SPIR-V.
+ .
+ This package includes the shared library.
+
 Package: libllvmspirvlib-dev
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}
+Depends:
+ libllvmspirvlib8 (= ${binary:Version}),
+ ${misc:Depends}
+Description: bi-directional translator for LLVM/SPIRV -- development files
+ SPIRV-LLVM-translator is a LLVM/SPIRV bi-directional translator. This
+ package includes a library and a tool for translation between LLVM IR
+ and SPIR-V.
+ .
+ This package includes static libs and headers for development.
+
+Package: llvm-spirv
+Architecture: any
+Depends:
+ libllvmspirvlib8 (= ${binary:Version}),
+ ${shlibs:Depends},
+ ${misc:Depends}
 Description: bi-directional translator for LLVM/SPIRV
  SPIRV-LLVM-translator is a LLVM/SPIRV bi-directional translator. This
  package includes a library and a tool for translation between LLVM IR
  and SPIR-V.
  .
- This package includes static libs and headers for development.
+ This package includes the llvm-spirv binary.
