## spirv-llvm-translator 9.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,6 +1,6 @@
 cmake_minimum_required(VERSION 3.3)
 
-set(LLVM_SPIRV_VERSION 0.2.1.0)
+set(LLVM_SPIRV_VERSION 9.0.0.1)
 
 # check if we build inside llvm or not
 if(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
@@ -22,7 +22,7 @@
     )
   endif(LLVM_INCLUDE_TESTS)
 
-  find_package(LLVM 8.0.0 REQUIRED
+  find_package(LLVM 9.0.0 REQUIRED
     COMPONENTS
       Analysis
       BitReader
@@ -63,6 +63,8 @@
 install(
   FILES
     ${LLVM_SPIRV_INCLUDE_DIRS}/LLVMSPIRVLib.h
+    ${LLVM_SPIRV_INCLUDE_DIRS}/LLVMSPIRVOpts.h
+    ${LLVM_SPIRV_INCLUDE_DIRS}/LLVMSPIRVExtensions.inc
   DESTINATION
     ${CMAKE_INSTALL_PREFIX}/include/LLVMSPIRVLib
 )
