=== test/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,38 @@
-llvm_canonicalize_cmake_booleans(SKIP_SPIRV_DEBUG_INFO_TESTS)
+include(FindPkgConfig)
+
+llvm_canonicalize_cmake_booleans(SPIRV_SKIP_CLANG_BUILD)
+llvm_canonicalize_cmake_booleans(SPIRV_SKIP_DEBUG_INFO_TESTS)
 
 # required by lit.site.cfg.py.in
 get_target_property(LLVM_SPIRV_DIR llvm-spirv BINARY_DIR)
 set(LLVM_SPIRV_TEST_SOURCE_DIR ${CMAKE_CURRENT_SOURCE_DIR})
+
+# find spirv-val
+pkg_search_module(SPIRV_TOOLS SPIRV-Tools)
+if(SPIRV_TOOLS_FOUND)
+  find_program(SPIRV_TOOLS_SPIRV_AS NAMES spirv-as PATHS ${SPIRV_TOOLS_PREFIX}/bin)
+  if(SPIRV_TOOLS_SPIRV_AS)
+    set(SPIRV_TOOLS_SPIRV_AS_FOUND True)
+  endif()
+
+  find_program(SPIRV_TOOLS_SPIRV_VAL NAMES spirv-val PATHS ${SPIRV_TOOLS_PREFIX}/bin)
+  if(SPIRV_TOOLS_SPIRV_VAL)
+    set(SPIRV_TOOLS_SPIRV_VAL_FOUND True)
+  endif()
+
+  set(SPIRV_TOOLS_BINDIR "${SPIRV_TOOLS_PREFIX}/bin")
+endif()
+
+if(NOT SPIRV_TOOLS_SPIRV_AS)
+  message(WARNING "spirv-as not found! SPIR-V assembly tests will not be run.")
+  set(SPIRV_TOOLS_SPIRV_AS_FOUND False)
+endif()
+
+if(NOT SPIRV_TOOLS_SPIRV_VAL)
+  message(WARNING "spirv-val not found! SPIR-V generated for test suite will not be validated.")
+  set(SPIRV_TOOLS_SPIRV_VAL_FOUND False)
+endif()
+
 configure_lit_site_cfg(
   ${CMAKE_CURRENT_SOURCE_DIR}/lit.site.cfg.py.in
   ${CMAKE_CURRENT_BINARY_DIR}/lit.site.cfg.py
@@ -19,7 +49,12 @@
     llvm-dis
     not
   )
-  if(NOT SKIP_SPIRV_DEBUG_INFO_TESTS)
+  if(NOT SPIRV_SKIP_CLANG_BUILD)
+    list(APPEND LLVM_SPIRV_TEST_DEPS
+      clang
+    )
+  endif(NOT SPIRV_SKIP_CLANG_BUILD)
+  if(NOT SPIRV_SKIP_DEBUG_INFO_TESTS)
     list(APPEND LLVM_SPIRV_TEST_DEPS
       llc
       llvm-dwarfdump
@@ -27,7 +62,7 @@
       llvm-readelf
       llvm-readobj
     )
-  endif(NOT SKIP_SPIRV_DEBUG_INFO_TESTS)
+  endif(NOT SPIRV_SKIP_DEBUG_INFO_TESTS)
 endif(NOT BUILD_EXTERNAL)
