=== tools/llvm-spirv/CMakeLists.txt ===
--- 
+++ 
@@ -20,6 +20,6 @@
 
 target_include_directories(llvm-spirv
   PRIVATE
-    ${LLVM_INCLUDE_DIR}
+    ${LLVM_INCLUDE_DIRS}
     ${LLVM_SPIRV_INCLUDE_DIRS}
 )
