=== debian/changelog ===
spirv-llvm-translator (9.0.0-0ubuntu1) eoan; urgency=medium

  * Upload to eoan.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 25 Sep 2019 10:26:23 +0300

spirv-llvm-translator (9.0.0-1) unstable; urgency=medium

  * New upstream release.
  * d/copyright: spirv.hpp is Expat.
  * Build with llvm-9.
  * patches: Dropped the only patch, applied upstream.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 24 Sep 2019 12:04:15 +0300
