=== debian/watch ===
version=4

opts="filenamemangle=s%(?:.*?)?v?(\d[\d.]*)-1\.tar\.gz%spirv-llvm-translator-$1.tar.gz%" \
   https://github.com/KhronosGroup/SPIRV-LLVM-Translator/tags \
   (?:.*?/)?v?(\d[\d.]*)-1\.tar\.gz
