## spirv-llvm-translator 10.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,10 +1,19 @@
 cmake_minimum_required(VERSION 3.3)
 
-set(LLVM_SPIRV_VERSION 9.0.0.1)
+set(LLVM_SPIRV_VERSION 10.0.0.1)
 
-# check if we build inside llvm or not
-if(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
-  set(BUILD_EXTERNAL YES)
+option(LLVM_SPIRV_INCLUDE_TESTS
+  "Generate build targets for the llvm-spirv lit tests."
+  ${LLVM_INCLUDE_TESTS})
+
+if (NOT DEFINED LLVM_SPIRV_BUILD_EXTERNAL)
+  # check if we build inside llvm or not
+  if(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
+    set(LLVM_SPIRV_BUILD_EXTERNAL YES)
+  endif(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
+endif (NOT DEFINED LLVM_SPIRV_BUILD_EXTERNAL)
+
+if(LLVM_SPIRV_BUILD_EXTERNAL)
   project(LLVM_SPIRV
     VERSION
       ${LLVM_SPIRV_VERSION}
@@ -12,17 +21,17 @@
       CXX
   )
 
-  set(CMAKE_CXX_STANDARD 11)
+  set(CMAKE_CXX_STANDARD 14)
   set(CMAKE_CXX_STANDARD_REQUIRED ON)
 
-  if(LLVM_INCLUDE_TESTS)
+  if(LLVM_SPIRV_INCLUDE_TESTS)
     set(LLVM_TEST_COMPONENTS
       llvm-as
       llvm-dis
     )
-  endif(LLVM_INCLUDE_TESTS)
+  endif(LLVM_SPIRV_INCLUDE_TESTS)
 
-  find_package(LLVM 9.0.0 REQUIRED
+  find_package(LLVM 10.0.0 REQUIRED
     COMPONENTS
       Analysis
       BitReader
@@ -39,11 +48,7 @@
   include(AddLLVM)
 
   message(STATUS "Found LLVM: ${LLVM_VERSION}")
-else(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
-  set(BUILD_EXTERNAL NO)
-endif(CMAKE_SOURCE_DIR STREQUAL CMAKE_CURRENT_SOURCE_DIR)
 
-if(BUILD_EXTERNAL)
   find_program(CCACHE_EXE_FOUND ccache)
   if(CCACHE_EXE_FOUND)
     message(STATUS "Found ccache: ${CCACHE_EXE_FOUND}")
@@ -56,9 +61,9 @@
 
 add_subdirectory(lib/SPIRV)
 add_subdirectory(tools/llvm-spirv)
-if(LLVM_INCLUDE_TESTS)
+if(LLVM_SPIRV_INCLUDE_TESTS)
   add_subdirectory(test)
-endif(LLVM_INCLUDE_TESTS)
+endif(LLVM_SPIRV_INCLUDE_TESTS)
 
 install(
   FILES
