=== lib/SPIRV/CMakeLists.txt ===
--- 
+++ 
@@ -1,8 +1,3 @@
-option(SPIRV_USE_LLVM_API "Enable usage of LLVM API for libSPIRV." ON)
-if(SPIRV_USE_LLVM_API)
-  add_definitions(-D_SPIRV_LLVM_API)
-endif(SPIRV_USE_LLVM_API)
-
 add_llvm_library(LLVMSPIRVLib
   LLVMToSPIRVDbgTran.cpp
   Mangler/FunctionDescriptor.cpp
@@ -27,7 +22,7 @@
   SPIRVUtil.cpp
   SPIRVWriter.cpp
   SPIRVWriterPass.cpp
-  TransOCLMD.cpp
+  PreprocessMetadata.cpp
   libSPIRV/SPIRVBasicBlock.cpp
   libSPIRV/SPIRVDebug.cpp
   libSPIRV/SPIRVDecorate.cpp
