=== tools/llvm-spirv/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
   NO_INSTALL_RPATH
 )
 
-if (BUILD_EXTERNAL)
+if (LLVM_SPIRV_BUILD_EXTERNAL)
   target_link_libraries(llvm-spirv PRIVATE LLVMSPIRVLib)
 endif()
