=== debian/changelog ===
spirv-llvm-translator (10.0.0-1) unstable; urgency=medium

  * New upstream release.
  * watch: Updated.
  * Build against llvm-10.
  * control: Use debhelper-compat, bump to 12.
  * control: Bump policy to 4.5.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 01 Apr 2020 20:44:04 +0300
