=== debian/control ===
--- 
+++ 
@@ -3,17 +3,17 @@
 Priority: optional
 Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
-Build-Depends: debhelper (>= 11),
+Build-Depends: debhelper-compat (= 12),
  cmake,
- libclang-9-dev,
- lldb-9,
- llvm-9-dev,
-Standards-Version: 4.3.0
+ libclang-10-dev,
+ lldb-10,
+ llvm-10-dev,
+Standards-Version: 4.5.0
 Homepage: https://github.com/KhronosGroup/SPIRV-LLVM-Translator
 Vcs-Browser: https://salsa.debian.org/opencl-team/spirv-llvm-translator
 Vcs-Git: https://salsa.debian.org/opencl-team/spirv-llvm-translator.git
 
-Package: libllvmspirvlib9
+Package: libllvmspirvlib10
 Architecture: any
 Depends:
  ${shlibs:Depends},
@@ -28,7 +28,7 @@
 Package: libllvmspirvlib-dev
 Architecture: any
 Depends:
- libllvmspirvlib9 (= ${binary:Version}),
+ libllvmspirvlib10 (= ${binary:Version}),
  ${misc:Depends}
 Description: bi-directional translator for LLVM/SPIRV -- development files
  SPIRV-LLVM-translator is a LLVM/SPIRV bi-directional translator. This
@@ -40,7 +40,7 @@
 Package: llvm-spirv
 Architecture: any
 Depends:
- libllvmspirvlib9 (= ${binary:Version}),
+ libllvmspirvlib10 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: bi-directional translator for LLVM/SPIRV
