=== debian/rules ===
--- 
+++ 
@@ -7,6 +7,7 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
+		-DCMAKE_BUILD_TYPE=Release \
 		-DCMAKE_SKIP_RPATH=ON \
 		-DBUILD_SHARED_LIBS=ON
