=== lib/SPIRV/CMakeLists.txt ===
--- 
+++ 
@@ -8,10 +8,12 @@
   OCL21ToSPIRV.cpp
   OCLTypeToSPIRV.cpp
   OCLUtil.cpp
+  VectorComputeUtil.cpp
   SPIRVLowerBool.cpp
   SPIRVLowerConstExpr.cpp
   SPIRVLowerMemmove.cpp
   SPIRVLowerOCLBlocks.cpp
+  SPIRVLowerSaddWithOverflow.cpp
   SPIRVLowerSPIRBlocks.cpp
   SPIRVReader.cpp
   SPIRVRegularizeLLVM.cpp
@@ -37,6 +39,8 @@
     Analysis
     BitWriter
     Core
+    IRReader
+    Linker
     Support
     TransformUtils
   DEPENDS
