=== debian/changelog ===
spirv-llvm-translator (11.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Mark -dev as M-A: same.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 20 Oct 2020 11:24:57 +0300

spirv-llvm-translator (11.0~git20200922-1) unstable; urgency=medium

  * New upstream snapshot.
  * Build against llvm-11.

 -- Timo Aaltonen <tjaalton@debian.org>  Tue, 22 Sep 2020 19:45:26 +0300
