## spirv-llvm-translator 12.0.0

=== debian/changelog ===
spirv-llvm-translator (12.0.0-1) experimental; urgency=medium

  * New upstream release.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 07 Jun 2021 12:24:54 +0300

spirv-llvm-translator (12.0~git20210212-2) experimental; urgency=medium

  * control: Fix libllvmspirvlib-dev depends.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 10 May 2021 12:17:08 +0300

spirv-llvm-translator (12.0~git20210212-1) experimental; urgency=medium

  * New upstream snapshot.
  * Build against llvm-12.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 12 Apr 2021 20:24:01 +0300
