## spirv-llvm-translator 13.0~git20210929

=== debian/changelog ===
spirv-llvm-translator (13.0~git20210929-1) unstable; urgency=medium

  * New upstream snapshot.
  * Build with llvm 13.
  * Add spirv-headers to build-depends, set headers dir.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 29 Sep 2021 14:40:45 +0300

spirv-llvm-translator (12.0.0-2) unstable; urgency=medium

  * Upload to unstable.

 -- Timo Aaltonen <tjaalton@debian.org>  Mon, 16 Aug 2021 09:59:48 +0300
