=== debian/control ===
--- 
+++ 
@@ -5,15 +5,16 @@
 Uploaders: Timo Aaltonen <tjaalton@debian.org>
 Build-Depends: debhelper-compat (= 12),
  cmake,
- libclang-12-dev,
- lldb-12,
- llvm-12-dev,
+ libclang-13-dev,
+ lldb-13,
+ llvm-13-dev,
+ spirv-headers,
 Standards-Version: 4.5.0
 Homepage: https://github.com/KhronosGroup/SPIRV-LLVM-Translator
 Vcs-Browser: https://salsa.debian.org/opencl-team/spirv-llvm-translator
 Vcs-Git: https://salsa.debian.org/opencl-team/spirv-llvm-translator.git
 
-Package: libllvmspirvlib12
+Package: libllvmspirvlib13
 Architecture: any
 Depends:
  ${shlibs:Depends},
@@ -28,7 +29,7 @@
 Package: libllvmspirvlib-dev
 Architecture: any
 Depends:
- libllvmspirvlib12 (= ${binary:Version}),
+ libllvmspirvlib13 (= ${binary:Version}),
  ${misc:Depends}
 Multi-Arch: same
 Description: bi-directional translator for LLVM/SPIRV -- development files
@@ -41,7 +42,7 @@
 Package: llvm-spirv
 Architecture: any
 Depends:
- libllvmspirvlib12 (= ${binary:Version}),
+ libllvmspirvlib13 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
 Description: bi-directional translator for LLVM/SPIRV
