=== debian/rules ===
--- 
+++ 
@@ -9,6 +9,7 @@
 	dh_auto_configure -- \
 		-DCMAKE_BUILD_TYPE=Release \
 		-DCMAKE_SKIP_RPATH=ON \
+		-DLLVM_EXTERNAL_SPIRV_HEADERS_SOURCE_DIR=/usr/include \
 		-DBUILD_SHARED_LIBS=ON
 
 override_dh_auto_build:
