## spirv-llvm-translator 13.0.0

=== tools/llvm-spirv/CMakeLists.txt ===
--- 
+++ 
@@ -14,7 +14,7 @@
   NO_INSTALL_RPATH
 )
 
-if (LLVM_SPIRV_BUILD_EXTERNAL)
+if (LLVM_SPIRV_BUILD_EXTERNAL OR LLVM_LINK_LLVM_DYLIB)
   target_link_libraries(llvm-spirv PRIVATE LLVMSPIRVLib)
 endif()
