=== debian/changelog ===
spirv-llvm-translator (13.0.0-4) unstable; urgency=medium

  * Rename /usr/bin/llvm-spirv to /usr/bin/llvm-spirv-13.
  * Restrict watch file to 13.* releases.
  * Enable all hardening flags.
  * Bump Standards-Version to 4.6.1.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 16 May 2022 01:58:34 +0200

spirv-llvm-translator (13.0.0-3) unstable; urgency=medium

  * Rename OpConstFunctionPointerINTEL to OpConstantFunctionPointerINTEL to
    fix FTBFS with spirv-headers 1.5.5.  (Closes: #1005458)
  * rules: Parse llvm version from Build-Depends.
  * control: Provide virtual package libllvmspirvlib-13-dev.
  * control: Set Rules-Requires-Root: no.
  * control, install: Multiarchify the packages.
  * upstream/metadata: Add.
  * copyright: Update/remove outdated file patterns.
  * Fix typo.
  * Update Lintian overrides.
  * Add myself to Uploaders.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 16 Feb 2022 23:28:24 +0100

spirv-llvm-translator (13.0.0-2) unstable; urgency=medium

  * control: Drop lldb-13 from build-depends, it's not used and prevents
    build on mips/mipsel.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 17 Nov 2021 11:00:43 +0200

spirv-llvm-translator (13.0.0-1) unstable; urgency=medium

  * New upstream release.
  * control: Bump debhelper to 13.
  * control: Bump policy to 4.6.0.

 -- Timo Aaltonen <tjaalton@debian.org>  Wed, 27 Oct 2021 10:41:14 +0300

spirv-llvm-translator-12 (12.0.0-4) unstable; urgency=medium

  * Restrict watch file to 12.* releases.
  * Enable all hardening flags.
  * Bump Standards-Version to 4.6.1.

 -- Andreas Beckmann <anbe@debian.org>  Sun, 15 May 2022 23:58:08 +0200

spirv-llvm-translator-12 (12.0.0-3) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Bump debhelper to 13.
  * control: Bump policy to 4.6.0.
  * control: Drop lldb-12 from build-depends, it's not used and prevents
    build on mips/mipsel.

  [ Andreas Beckmann ]
  * rules: Parse llvm version from Build-Depends.
  * control: Set Rules-Requires-Root: no.
  * control, install: Multiarchify the packages.
  * upstream/metadata: Add.
  * copyright: Update/remove outdated file patterns.
  * Fix typo.
  * Update Lintian overrides.
  * Add myself to Uploaders.
  * Have one set of packages per llvm version:
    - Fork source package as spirv-llvm-translator-12.
    - Rename binary packages:
      + libllvmspirvlib-dev => libllvmspirvlib-12-dev,
      + llvm-spirv => llvm-spirv-12.
    - Rename /usr/bin/llvm-spirv to /usr/bin/llvm-spirv-12.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 09 Feb 2022 20:05:39 +0100

spirv-llvm-translator-11 (11.0.0-2) unstable; urgency=medium

  [ Timo Aaltonen ]
  * control: Bump debhelper to 13.
  * control: Bump policy to 4.6.0.
  * control: Drop lldb-11 from build-depends, it's not used and prevents
    build on mips/mipsel.

  [ Andreas Beckmann ]
  * rules: Parse llvm version from Build-Depends.
  * control: Set Rules-Requires-Root: no.
  * control, install: Multiarchify the packages.
  * upstream/metadata: Add.
  * copyright: Update/remove outdated file patterns.
  * Fix typo.
  * Update Lintian overrides.
  * Add myself to Uploaders.
  * Have one set of packages per llvm version:
    - Fork source package as spirv-llvm-translator-11.
    - Rename binary packages:
      + libllvmspirvlib-dev => libllvmspirvlib-11-dev,
      + llvm-spirv => llvm-spirv-11.
    - Rename /usr/bin/llvm-spirv to /usr/bin/llvm-spirv-11.
  * Allow overriding BASE_LLVM_VERSION.
  * Restrict watch file to 11.* releases.
  * Enable all hardening flags.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 11 Apr 2022 10:32:52 +0200
