=== debian/control ===
--- 
+++ 
@@ -2,20 +2,24 @@
 Section: libdevel
 Priority: optional
 Maintainer: Debian OpenCL team <pkg-opencl-devel@lists.alioth.debian.org>
-Uploaders: Timo Aaltonen <tjaalton@debian.org>
-Build-Depends: debhelper-compat (= 12),
+Uploaders:
+ Timo Aaltonen <tjaalton@debian.org>,
+ Andreas Beckmann <anbe@debian.org>,
+Build-Depends: debhelper-compat (= 13),
  cmake,
  libclang-13-dev,
- lldb-13,
  llvm-13-dev,
- spirv-headers,
-Standards-Version: 4.5.0
+ spirv-headers (>= 1.5.5),
+Rules-Requires-Root: no
+Standards-Version: 4.6.1
 Homepage: https://github.com/KhronosGroup/SPIRV-LLVM-Translator
 Vcs-Browser: https://salsa.debian.org/opencl-team/spirv-llvm-translator
-Vcs-Git: https://salsa.debian.org/opencl-team/spirv-llvm-translator.git
+Vcs-Git: https://salsa.debian.org/opencl-team/spirv-llvm-translator.git -b llvm13/master
 
 Package: libllvmspirvlib13
 Architecture: any
+Multi-Arch: same
+Section: libs
 Depends:
  ${shlibs:Depends},
  ${misc:Depends}
@@ -28,10 +32,17 @@
 
 Package: libllvmspirvlib-dev
 Architecture: any
+Multi-Arch: same
 Depends:
  libllvmspirvlib13 (= ${binary:Version}),
  ${misc:Depends}
-Multi-Arch: same
+Conflicts:
+ libllvmspirvlib-x.y-dev,
+Replaces:
+ libllvmspirvlib-x.y-dev,
+Provides:
+ libllvmspirvlib-13-dev,
+ libllvmspirvlib-x.y-dev,
 Description: bi-directional translator for LLVM/SPIRV -- development files
  SPIRV-LLVM-translator is a LLVM/SPIRV bi-directional translator. This
  package includes a library and a tool for translation between LLVM IR
@@ -45,9 +56,11 @@
  libllvmspirvlib13 (= ${binary:Version}),
  ${shlibs:Depends},
  ${misc:Depends}
+Provides:
+ llvm-spirv-13,
 Description: bi-directional translator for LLVM/SPIRV
  SPIRV-LLVM-translator is a LLVM/SPIRV bi-directional translator. This
  package includes a library and a tool for translation between LLVM IR
  and SPIR-V.
  .
- This package includes the llvm-spirv binary.
+ This package includes the llvm-spirv-13 binary.
